org.fourthline.cling.support.model

## Class BrowseResult

- java.lang.Object
- - org.fourthline.cling.support.model.BrowseResult

-     public class BrowseResult
      extends Object

  Author:
    Alessio Gaeta, Christian Bauer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected UnsignedIntegerFourBytes` | `containerUpdateID`
    `protected UnsignedIntegerFourBytes` | `count`
    `protected String` | `result`
    `protected UnsignedIntegerFourBytes` | `totalMatches`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BrowseResult(String result, long count, long totalMatches)`
    `BrowseResult(String result, long count, long totalMatches, long updatedId)`
    `BrowseResult(String result, UnsignedIntegerFourBytes count, UnsignedIntegerFourBytes totalMatches, UnsignedIntegerFourBytes containerUpdateID)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `UnsignedIntegerFourBytes` | `getContainerUpdateID()`
    `long` | `getContainerUpdateIDLong()`
    `UnsignedIntegerFourBytes` | `getCount()`
    `long` | `getCountLong()`
    `String` | `getResult()`
    `UnsignedIntegerFourBytes` | `getTotalMatches()`
    `long` | `getTotalMatchesLong()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### result

          protected String result

    - #### count

          protected UnsignedIntegerFourBytes count

    - #### totalMatches

          protected UnsignedIntegerFourBytes totalMatches

    - #### containerUpdateID

          protected UnsignedIntegerFourBytes containerUpdateID

  - ### Constructor Detail

    - #### BrowseResult

          public BrowseResult(String result,
                              UnsignedIntegerFourBytes count,
                              UnsignedIntegerFourBytes totalMatches,
                              UnsignedIntegerFourBytes containerUpdateID)

    - #### BrowseResult

          public BrowseResult(String result,
                              long count,
                              long totalMatches)

    - #### BrowseResult

          public BrowseResult(String result,
                              long count,
                              long totalMatches,
                              long updatedId)

  - ### Method Detail

    - #### getResult

          public String getResult()

    - #### getCount

          public UnsignedIntegerFourBytes getCount()

    - #### getCountLong

          public long getCountLong()

    - #### getTotalMatches

          public UnsignedIntegerFourBytes getTotalMatches()

    - #### getTotalMatchesLong

          public long getTotalMatchesLong()

    - #### getContainerUpdateID

          public UnsignedIntegerFourBytes getContainerUpdateID()

    - #### getContainerUpdateIDLong

          public long getContainerUpdateIDLong()

Copyright © 2015 4th Line GmbH, Switzerland. All rights reserved.